% !TeX encoding = UTF-8
% !TeX spellcheck = en_US
\documentclass[article,11pt,a4paper]{article}

% packages %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\usepackage{graphicx,curves,float,rotating}

\usepackage[utf8]{inputenc}
\usepackage{amsmath, amssymb, latexsym}  % math stuff
\usepackage{amsopn}                             % um mathe operatoren zu deklarieren
\usepackage[british]{babel}                     % otherwise use british or american
\usepackage{theorem}                            % instead of \usepackage{amsthm}
\usepackage{dcolumn}
\usepackage{hyperref}
\usepackage{csquotes}

% @ environment %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\usepackage{xspace}                             % context sensitive space after macros
\makeatletter 
\DeclareRobustCommand\onedot{\futurelet\@let@token\@onedot}
\def\@onedot{\ifx\@let@token.\else.\null\fi\xspace}
\def\eg{{e.g}\onedot} \def\Eg{{E.g}\onedot}
\def\ie{{i.e}\onedot} \def\Ie{{I.e}\onedot}
\def\cf{{c.f}\onedot} \def\Cf{{C.f}\onedot}
\def\etc{{etc}\onedot} \def\vs{{vs}\onedot} 
\def\wrt{w.r.t\onedot} \def\dof{d.o.f\onedot}
\def\etal{{et al}\onedot}
\def\zB{z.B\onedot} \def\ZB{Z.B\onedot}
\def\dh{d.h\onedot} \def\Dh{D.h\onedot}

\newcommand*{\Frac}[2]{\frac{\displaystyle #1}{\displaystyle #2}}
\newlength{\textwd}
\newlength{\oddsidemargintmp}
\newlength{\evensidemargintmp}
\newcommand*{\hspaceof}[2]{\settowidth{\textwd}{#1}\mbox{\hspace{#2\textwd}}}
\newlength{\textht}
\newcommand*{\vspaceof}[3]{\settoheight{\textht}{#1}\mbox{\raisebox{#2\textht}{#3}}}
\newcommand*{\PreserveBackslash}[1]{\let\temp=\\#1\let\\=\temp}

\newenvironment{deflist}[1][\quad]%
{  \begin{list}{}{%
      \renewcommand{\makelabel}[1]{\textbf{##1}\hfil}%
      \settowidth{\labelwidth}{\textbf{#1}}%
      \setlength{\leftmargin}{\labelwidth}
      \addtolength{\leftmargin}{\labelsep}}}
{  \end{list}}


\newenvironment{Quote}% Definition of Quote
{  \begin{list}{}{%
      \setlength{\rightmargin}{0pt}}
      \item[]\ignorespaces}
{\unskip\end{list}}


\theoremstyle{break}
\theorembodyfont{\itshape}	
\theoremheaderfont{\scshape}

\newtheorem{Cor}{Corollary}
\newtheorem{Def}{Definition}
%\newtheorem{Def}[Cor]{Definition}



\newcolumntype{.}{D{.}{.}{-1}}


\pagestyle{headings}
\textwidth 15cm
\textheight 23cm
\oddsidemargin 1cm
\evensidemargin 0cm
%\parindent 0mm

\begin{document}

\pagestyle{empty}

\begin{center}

    Rheinisch-Westfälische Technische Hochschule Aachen \\
    Lehrstuhl für Informatik 6 \\
    Prof. Dr.-Ing. Hermann Ney\\[6ex]
    Seminar \enquote{Selected Topics in Human Language Technology and Pattern Recognition} im WS 2017/2018\\[12ex]                          % auch Seminar Titel und Datum ändern!!!
   
    \LARGE
    \textbf{Sequence Discriminative Training} \\[6ex]
    \textit{Florian M. Behrens} \\[6ex]
    \Large
    Matrikelnummer 356 348 \\[6ex]
    Datum des Vortrages %TODO

    \vfill
    \Large Betreuer: Wilfried Michel
	    
\end{center}

%\newpage
%\ 
%\newpage

\pagebreak
\pagestyle{headings}
\tableofcontents
\listoftables
\listoffigures
%\newpage
%\pagestyle{empty}
%\ 
%\newpage
\pagebreak
\pagestyle{headings}

\section{Introduction (1.5 P)}

\paragraph{What is sequence discriminative training?}
\begin{itemize}
	\item explain that traditionally, when training a model, the objective function
	is evaluated only on the current \enquote{frame} (clarify frame)
	
	\item many data sets however are sequential in nature (e.g. ASR)
	
	\item using an objective function that takes the whole sequence into consideration
	can lead to significantly better training results
	
	\item this kind of training is called sequence discriminative
\end{itemize}

\paragraph{Where did sequence discriminative training come from? (use this section as an example!)}
\begin{itemize}
	\item originally developed in the field of ASR to train GMM-HMM hybrids
	
	\item input to the model: some representation of a phenome (clarify?)
	
	\item output: the letter / syllable that was spoken (use the term utterance?)
	
	\item (explain how SDT improves training in this situation)
	
\end{itemize}

\paragraph{Structure}
\begin{itemize}
	\item the GMM-HMM models for which SDT has originally been developed have been replaced
	with DNN-HMM models
	
	\item for this reason, this paper will focus on SDT of DNNs (also, HMMs and GMMs do not
	occur anywhere else in this seminar and the title of my task is \enquote{Deep Learning: Discriminative Training})
	
	\item TODO: elaborate on the structure of the text
		
	\item TODO: in my presentation, I want to give a quick reminder of what
	an objective function is (this should be handled by one of the introductory
	presentations). I should then probably also cross reference a relevant article
	from our Seminar in this article (?).
\end{itemize}

\section{Sequence discriminative objective functions (5P)}

\begin{itemize}
	\item for each relevant SDT objective function, give the formula
	
	\item define and explain the relevant expressions in the formula (maybe 
	do this before the subsections on the actual formulas)
	
	\item \emph{explain} how the formula takes the sequential nature of the
	data into consideration
	
	\item TODO: I am not very familiar yet with the actual formulas. I may
	choose to handle MMI and BMMI in one subsection, just as I may choose
	to handle MPE and MBR in one chapter, as they seem very similar.
	
	\item subsection \enquote{General SDT objective functions}:
	\begin{itemize}
		\item state that one could come up with any number of SDT objective functions
		
		\item introduce the framework given in \cite{ASR:2015}, chapter 8.1.4
		
		\item show how (B)MMI and MPR/MBR fit into these equations
		
		\item TODO: maybe it would be better to first introduce the general formulation
		and then give the specific implementation afterwards?
	\end{itemize}
\end{itemize}

\subsection{Maximum Mutual Information (1P)}

\subsection{Boosted MMI (0.5P)}

\subsection{Minimal Phone Error(1P)}

\subsection{Minimum Bayes Risk (0.5P)}

\subsection{General SDT objective functions (1P)}

\section{Evaluation on Automatic Speech Recognition Tasks (4 - 6 P)}

\begin{itemize}
	\item this chapter is supposed to give an idea of the improvements that can be achieved with SDT
	
	\item based on the feedback from my supervisor, I would do one of the following things in this chapter:
	\begin{itemize}
		\item try to replicate the results in \cite{SDT} (potentially on a smaller scale), using the Kaldi
		framework (or maybe use the RWTH equivalent?)
		\item or just cite those results and compare with other sources
	\end{itemize}

	\item subsection \enquote{Evaluation task}:
	\begin{itemize}
		\item describe the evaluated task
		
		\item explain why SDT might improve training on this task

	\end{itemize}

	\item subsection \enquote{Experimental setup}:
	\begin{itemize}
		\item describe the ASR setup (if comparing results from different papers,
		emphasize differences in evaluation setups)
		
		\item if I do this myself, mention potential simplifications
	\end{itemize}

	\item subsection \enquote{Results}:
	\begin{itemize}
		\item give charts that show how SDT performed against conventional training
		\item discuss plausibility
	\end{itemize}
\end{itemize}

\subsection{Evaluation task (1P)} 

\subsection{Experimental setup (2 - 3 P)}

\subsection{Results (2 - 3P)}

\section{Conclusion (1P)}
\begin{itemize}
	\item summarize what has been said
	
	\item make a note on the relevance of SDT by referencing the improved results achieved through SDT,
	in particular in ASR tasks
\end{itemize}


\addcontentsline{toc}{section}{References}
I have drafted this proposal after reading through the literature listed in the references (\cite{ASR:2015}, \cite{SDT}, \cite{HNN}, \cite{MS:SDT}, \cite{I6:SDT}, \cite{BENGIO:GMM}, \cite{BENGIO:HMM}) I am aware that some if not most of the citations are not properly cited. I just wanted to list them to give an insight on what I have based this draft on. I will cite properly in my actual article.
\bibliographystyle{plain}
\bibliography{ausarbeitung_vorlage}

\end{document}
